Mise à jour>Étape 1 : Vérification de la configuration

  • Environnement PHP
    • La version de PHP est 7.0.30-0+deb9u1.
    • max_execution_time initialisé à 3000.
    • max_input_time initialisé à 3600.
    • memory_limit initialisé à 512.
    • max_input_vars initialisé à 10000.
  • Modules PHP
    • Le module pgsql est installé.
    • Le module mcrypt est installé.
    • Le module xml est installé.
    • Le module gd est installé.
    • Le module bz2 est installé.
    • Le module zip est installé.
  • Base de données
    • Connexion réussie à la base de données.
    • La version de PostgreSQL est 9.6.10.
    • Le language PL/pgSQL est installé.
    • Le module pgcrypto n'est pas installé. Vous devez installer le module pgcrypto dans votre base de données.Voici ce qu'il faut faire sous le compte utilisateur postgres :
      $ createlang pgcrypto abs_demo
      
    • L'extension unaccent n'est pas installée. Vous devez installer l'extension unaccent dans votre base de données.Voici ce qu'il faut faire sous le compte utilisateur postgres :
      $ createlang unaccent abs_demo
      
  • Permissions des dossiers
    • Le dossier /data/web/domains/atic-group.net/demo/abs/conf est accessible en écriture.
    • Le dossier /data/web/domains/atic-group.net/demo/abs/files est accessible en écriture.
    • Le dossier /tmp est accessible en écriture.

Erreur : L'ABS ne peut pas être mis à jour.